<?php

/**
 * AsalaeCore\Adapter\DbAcl
 */

namespace AsalaeCore\Adapter;

use Acl\Adapter\DbAcl as AclDbAcl;
use Acl\Model\Table\AcosTable;
use Acl\Model\Table\ArosTable;
use Acl\Model\Table\PermissionsTable;
use Cake\ORM\Table;
use Cake\ORM\TableRegistry;

/**
 * Surcharge du DbAcl
 *
 * @category Controller
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2021, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 * @property Table $Aco
 * @property Table $Aro
 * @property Table $Permission
 */
class DbAcl extends AclDbAcl
{
    protected AcosTable $Aco;
    protected ArosTable $Aro;
    protected PermissionsTable $Permission;

    /**
     * Constructor
     * @noinspection PhpMissingParentConstructorInspection surcharge
     * @noinspection PhpFieldAssignmentTypeMismatchInspection
     */
    public function __construct()
    {
        $this->Permission = TableRegistry::getTableLocator()->get('ArosAcos');
        $this->Aro = $this->Permission->Aros->getTarget();
        $this->Aco = $this->Permission->Acos->getTarget();
    }
}
