<?php

/**
 * AsalaeCore\Error\AppErrorHandler
 */

namespace AsalaeCore\Error;

/**
 * Gestions d'erreur à l'application
 *
 * @category   Error
 *
 * @author     Libriciel SCOP <contact@libriciel.coop>
 * @copyright  (c) 2017, Libriciel
 * @license    https://www.gnu.org/licenses/agpl-3.0.txt
 * @deprecated use ErrorTrap
 */
class AppErrorHandler
{
    /**
     * @var AppConsoleErrorHandler Error handler for Cake console.
     */
    public $ConsoleErrorHandler;

    /**
     * Constructor
     *
     * @param array $options The options for error handling.
     */
    public function __construct($options = [])
    {
    }

    /**
     * Appelé dans config/bootstrap.php
     * Enregistre les fonctions de callback à effectuer lors de l'arret d'un script php
     */
    public function register(): void
    {
    }

    /**
     * Désactive l'affichage des erreurs (elles sont stockés dans self::$errors)
     */
    public static function disableErrorOutput()
    {
        ErrorTrap::disableErrorOutput();
    }

    /**
     * Active l'affichage des erreurs
     */
    public static function enableErrorOutput()
    {
        ErrorTrap::enableErrorOutput();
    }

    /**
     * Permet de capturer les erreurs d'une fonction en particulier
     *
     * @param callable $callback la fonction a executer sans erreurs
     * @param mixed    ...$args  arguments à envoyer
     *                           au callback
     * @return array ['result' => 'résultat du callback', 'errors' => [errors]]
     */
    public static function captureErrors(callable $callback, ...$args): array
    {
        return ErrorTrap::captureErrors($callback, ...$args);
    }

    /**
     * Permet de savoir si les erreurs ont été désactivés/capturés
     * @return bool
     */
    public static function isErrorDisabled(): bool
    {
        return ErrorTrap::isErrorDisabled();
    }

    /**
     * Donne les erreurs capturés
     * @return array
     */
    public static function getErrors(): array
    {
        return ErrorTrap::getErrors();
    }

    /**
     * Permet de gréffer une erreur dans la liste
     * @param array $error
     */
    public static function addError(array $error)
    {
        ErrorTrap::addError($error);
    }
}
