<?php

/**
 * AsalaeCore\MinkSuite\MinkAssertionFailedException
 */

namespace AsalaeCore\MinkSuite;

use Exception;

/**
 * Exception lors d'un test fonctionnel
 *
 * @category TestSuite
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2022, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 */
class MinkAssertionFailedException extends MinkCaseException
{
    /**
     * @param string         $message  [optional] The Exception message to throw.
     * @param int            $code     [optional] The Exception code.
     * @param Exception|null $previous [optional] The previous throwable used for the exception chaining.
     */
    public function __construct($message, $code = 0, Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);
        MinkCase::triggerError();
    }
}
