<?php

/**
 * AsalaeCore\MinkSuite\MinkCaseCronTrait
 */

namespace AsalaeCore\MinkSuite;

use AsalaeCore\Factory\Utility;
use AsalaeCore\Utility\Exec;
use AsalaeCore\Utility\Object\CommandResult;
use Cake\ORM\TableRegistry;
use Exception;

/**
 * Methodes de manipulation des tâches planifiées
 *
 * @category TestSuite
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2024, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 * @mixin MinkCase
 */
trait MinkCaseCronTrait
{
    /**
     * Execute un cron
     * @param string $classname
     * @param int    $timeout
     * @return CommandResult
     * @throws Exception
     */
    protected function runCron(string $classname, int $timeout = 60): CommandResult
    {
        $Crons = TableRegistry::getTableLocator()->get('Crons');
        $cron = $Crons->find()->where(['classname' => $classname])->firstOrFail();
        /** @var Exec $Exec */
        $Exec = Utility::get('Exec');
        return $Exec->command(
            sprintf(MinkCase::DOCKER_EXEC_TIMEOUT, $timeout),
            'cron',
            'run',
            '--no-interaction',
            $cron->id,
        );
    }
}
