<?php

/**
 * AsalaeCore\Model\Entity\OutgoingTransfer
 */

namespace AsalaeCore\Model\Entity;

use AsalaeCore\ORM\Entity;
use Cake\Core\Configure;

/**
 * Entité de la table outgoing_transfers
 *
 * @category Entity
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2021, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 */
class OutgoingTransfer extends Entity
{
    /**
     * Donne le chemin vers le fichier xml du transfert sortant
     * @return string
     */
    protected function _getZip(): string
    {
        $identifier = urlencode($this->_fields['identifier'] ?? 'undefined');
        return Configure::read(
            'App.paths.data'
        ) . DS . 'outgoing-transfers' . DS . "$identifier.zip";
    }
}
