<?php

/**
 * AsalaeCore\Model\Entity\TransferAttachment
 */

namespace AsalaeCore\Model\Entity;

use AsalaeCore\Form\AbstractGenericMessageForm;
use AsalaeCore\ORM\Entity;

/**
 * Entité de la table transfer_attachments
 *
 * @category Entity
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2024, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 */
class TransferAttachment extends Entity
{
    /**
     * Chemin vers le fichier sur le disque
     * @return null|string
     */
    protected function _getPath()
    {
        if (empty($this->_fields['transfer_id']) || empty($this->_fields['filename'])) {
            return null;
        }
        $basePath = AbstractGenericMessageForm::getDataDirectory(
            $this->_fields['transfer_id']
        ) . DS . 'attachments';
        return $basePath . DS . $this->_fields['filename'];
    }
}
