<?php

/**
 * AsalaeCore\Model\Table\TransferAttachmentsTable
 */

namespace AsalaeCore\Model\Table;

use AsalaeCore\Model\Behavior\AclBehavior;
use Cake\Database\Expression\QueryExpression;
use Cake\ORM\Behavior\TimestampBehavior;
use Cake\ORM\Table;

/**
 * Table type_entities
 *
 * @category Table
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2024, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 * @mixin AclBehavior
 * @mixin TimestampBehavior
 */
class TransferAttachmentsTable extends Table
{
    /**
     * Configuration initale de la table
     *
     * @param array $config
     */
    public function initialize(array $config): void
    {
        parent::initialize($config);

        $this->belongsTo('Transfers');
        $this->belongsTo('Pronoms')
            ->setForeignKey(false)
            ->setConditions(
                [
                    'Pronoms.puid' => new QueryExpression(
                        $this->getAlias() . '.format'
                    ),
                ]
            );
    }
}
