<?php
namespace AsalaeCore\Test\Mock;

use SoapClient;

class SoapClientMocked extends SoapClient
{
    public const string TOKEN_SAMPLE = TESTS . 'Data' . DS . 'sample.token';

    /**
     * construct
     * @param string     $wsdl
     * @param array|null $options
     * @noinspection PhpMissingParentConstructorInspection
     */
    public function __construct($wsdl, array $options = null)
    {
    }

    /**
     * Calls a SOAP function
     * @link https://php.net/manual/en/soapclient.soapcall.php
     * @param string $name
     * @param array  $args
     * @param null   $options
     * @param mixed  $inputHeaders
     * @param null   $outputHeaders
     * @return string|true SOAP functions may return one, or multiple values.
     * @since 5.0.1
     */
    public function __soapCall(
        $name,
        $args,
        $options = null,
        $inputHeaders = null,
        &$outputHeaders = null
    ): string|true {
        switch ($name) {
            case 'createRequest':
            case 'createResponse':
                return true;
            case 'extractToken':
                return base64_encode(file_get_contents(self::TOKEN_SAMPLE));
            case 'getOpensslVersion':
                return 'not empty';
        }
    }
}
