<?php

namespace MyPlugin\Controller;

use AsalaeCore\Controller\ApiInterface;
use AsalaeCore\Controller\ApiTrait;
use AsalaeCore\Controller\Component\RestComponent;
use AsalaeCore\Controller\FiltersControllerTrait;
use AsalaeCore\Controller\RenderDataTrait;
use AsalaeCore\Model\Table\FiltersTable;
use AsalaeCore\Model\Table\SavedFiltersTable;
use Cake\Controller\Controller;
use Cake\Event\EventInterface;
use Cake\Http\Response;
use Cake\ORM\Table;
use Exception;

class WebservicesController extends Controller implements ApiInterface
{
    use ApiTrait, FiltersControllerTrait, RenderDataTrait;

    private FiltersTable|Table $Filters;
    private SavedFiltersTable|Table $SavedFilters;

    /**
     * @param EventInterface $event
     * @return Response|void|null
     * @throws Exception
     */
    public function beforeFilter(EventInterface $event)
    {
        /** @use RestComponent */
        $this->loadComponent('Rest');
        $this->setApiActions(self::getApiActions());
        return parent::beforeFilter($event);
    }

    /**
     * @return array
     */
    public static function getApiActions(): array
    {
        return [
            'default' => [],
            'test' => [
                'get' => [
                    'function' => 'test'
                ],
                'post' => [
                    'function' => 'testrender'
                ]
            ],
            'forbidden' => [
                '*' => ['function' => 'forbidden']
            ],
        ];
    }

    /**
     * @return Response
     */
    protected function test()
    {
        return $this->getResponse()->withStringBody('ok');
    }

    /**
     * @return void
     */
    protected function testrender()
    {
    }

    /**
     * @param string|null $template
     * @param string|null $layout
     * @return Response
     */
    public function render(?string $template = null, ?string $layout = null): Response
    {
        return $this->getResponse()->withStringBody('test');
    }
}
