<?php

namespace AsalaeCore\Test\TestCase\Command;

use AsalaeCore\Model\Table\ArosAcosTable;
use AsalaeCore\TestSuite\TestCase;
use Cake\Console\TestSuite\ConsoleIntegrationTestTrait;
use Libriciel\Filesystem\Utility\Filesystem;

class DatabaseFixturesCommandTest extends TestCase
{
    use ConsoleIntegrationTestTrait;

    public array $fixtures = [
        'app.Users',
    ];

    /**
     * @var ArosAcosTable
     */
    public $Permissions;

    /**
     * setup
     */
    public function setUp(): void
    {
        parent::setUp();
        Filesystem::reset();
        if (is_dir(TMP_TESTDIR)) {
            Filesystem::remove(TMP_TESTDIR);
        }
        Filesystem::mkdir(TMP_TESTDIR);
    }

    /**
     * tearDown
     */
    public function tearDown(): void
    {
        parent::tearDown();
        if (is_dir(TMP_TESTDIR)) {
            Filesystem::remove(TMP_TESTDIR);
        }
    }

    /**
     * test execute
     */
    public function testexecute(): void
    {
        $this->exec('database fixtures --datasource test');
        $this->assertOutputContains(TMP . 'Fixture/UsersFixture.php');
    }
}
