<?php

namespace AsalaeCore\Test\TestCase\Controller\Component\Reader;

use AsalaeCore\Controller\Component\Reader\ImageReader;
use AsalaeCore\TestSuite\TestCase;
use Cake\Controller\Controller;
use Cake\Http\ServerRequest;

class ImageReaderTest extends TestCase
{
    /**
     * test CanRead
     */
    public function testCanRead(): void
    {
        $this->assertFalse(ImageReader::canRead('application/json'));
        $this->assertTrue(ImageReader::canRead('image/png'));
    }

    /**
     * test SetUrl
     */
    public function testSetUrl(): void
    {
        $request = new ServerRequest();
        $controller = new Controller($request);
        $reader = new ImageReader($controller);
        $reader->setDownloadUrl('/foo');
        $reponse = $reader->getResponse();
        $this->assertEquals(302, $reponse->getStatusCode());
        $this->assertTextContains('foo', $reponse->getHeaderLine('Location'));
    }
}
