<?php

namespace AsalaeCore\Test\TestCase\Controller\Component\Reader;

use AsalaeCore\Controller\Component\Reader\OpenDocumentReader;
use AsalaeCore\Controller\Component\Reader\PdfReader;
use AsalaeCore\TestSuite\TestCase;
use Cake\Controller\Controller;
use Cake\Http\ServerRequest;

class PdfReaderTest extends TestCase
{
    /**
     * test CanRead
     */
    public function testCanRead(): void
    {
        $this->assertFalse(PdfReader::canRead('application/json'));
        $this->assertTrue(PdfReader::canRead('application/pdf'));
    }

    /**
     * test SetUrl
     */
    public function testSetUrl(): void
    {
        $request = new ServerRequest();
        $controller = new Controller($request);
        $reader = new OpenDocumentReader($controller);
        $reader->setDownloadUrl('/foo');
        $reponse = $reader->getResponse();
        $this->assertEquals(302, $reponse->getStatusCode());
        $this->assertTextContains('foo', $reponse->getHeaderLine('Location'));
    }
}
