<?php

namespace AsalaeCore\Test\TestCase\Controller\Component;

use AsalaeCore\Controller\Component\RestComponent;
use AsalaeCore\TestSuite\TestCase;

class RestComponentTest extends TestCase
{
    use ComponentTestTrait;

    /**
     * @var RestComponent $component
     */
    public $component = null;

    /**
     * @var string|RestComponent
     */
    public $componentClassname = RestComponent::class;

    public array $fixtures = [
        'app.Users',
        'app.Aros',
        'app.ArosAcos',
        'app.Acos',
    ];

    /**
     * test Initialize
     */
    public function testInitialize(): void
    {
        $this->setComponent(['action' => 'api']);
        $this->assertFalse($this->controller->isAutoRenderEnabled());
    }

    /**
     * test Route
     */
    public function testRoute(): void
    {
        $this->setComponent(['action' => 'api']);
        $this->component->setApiActions(['foo' => 'bar']);
        $route = $this->component->route();
        $this->assertFalse($route);

        $this->component->setApiActions(['default' => ['*' => ['function' => 'apiAll']]]);
        $route = $this->component->route();
        $expected = [
            'callback' => [$this->controller, 'apiAll'],
            'args' => null,
            'function' => 'apiAll',
            'auth' => false,
            'accept' => '*',
        ];
        $this->assertEquals($expected, $route);
    }
}
