<?php

namespace AsalaeCore\Test\TestCase\Database\Type;

use AsalaeCore\Database\Type\DateType;
use AsalaeCore\TestSuite\InvokePrivateTrait;
use AsalaeCore\TestSuite\TestCase;
use Cake\Core\Configure;
use Cake\Database\TypeFactory;
use Cake\I18n\DateTime as Time;
use DateTimeInterface;

class DateTypeTest extends TestCase
{
    use InvokePrivateTrait;

    /**
     * test ParseValue
     */
    public function testParseValue(): void
    {
        Configure::write('App.defaultLocale', 'fr_FR');

        TypeFactory::set('date', new DateType('date'));
        /** @var DateType $type */
        $type = TypeFactory::build('date');
        $type->useLocaleParser();

        /** @var Time $result */
        $result = $this->invokeMethod($type, '_parseValue', ['1950-01-01']);
        $this->assertStringContainsString(
            '1950-01-01T00:00:00',
            $result->format(DateTimeInterface::ATOM)
        );
    }
}
