<?php

namespace AsalaeCore\Test\TestCase\Driver\Timestamping;

use AsalaeCore\Test\Mock\TimestampingIaikMocked;
use AsalaeCore\TestSuite\TestCase;

class TimestampingIaikTest extends TestCase
{
    public const string TOKEN_SAMPLE = TESTS . 'Data' . DS . 'sample.token';
    public const string TOKENIZE_FILE = TESTS . 'Data' . DS . 'logo.png';

    /**
     * setup
     */
    public function setUp(): void
    {
        parent::setUp();
    }

    /**
     * test Check
     */
    public function testCheck(): void
    {
        $timestamper = new TimestampingIaikMocked('http://fake.url');
        $this->assertTrue($timestamper->check());
    }

    /**
     * test GenerateToken
     */
    public function testGenerateToken(): void
    {
        $timestamper = new TimestampingIaikMocked('http://fake.url');
        $this->assertEquals(
            file_get_contents(self::TOKEN_SAMPLE),
            $timestamper->generateToken(self::TOKENIZE_FILE)
        );
    }
}
