<?php

namespace AsalaeCore\Test\TestCase\Driver\Volume\Exception;

use AsalaeCore\Driver\Volume\Exception\VolumeException;
use AsalaeCore\TestSuite\TestCase;
use Cake\ORM\Entity;

class VolumeExceptionTest extends TestCase
{
    /**
     * test Create
     */
    public function testCreate(): void
    {
        for ($i = 1; $i < 10; $i++) {
            $exception = new VolumeException($i);
            $this->assertNotEquals($i, $exception->getMessage());
        }
        $exception = new VolumeException('message');
        $this->assertEquals('message', $exception->getMessage());
    }

    /**
     * test Wrap
     */
    public function testWrap(): void
    {
        $volume = new Entity(['id' => 1, 'name' => 'test-wrap']);
        $exception = new VolumeException(VolumeException::FILE_ALREADY_EXISTS);
        $exception->wrap($volume, '/tmp/testfile');
        $this->assertTextContains('test-wrap', $exception->getMessage());
    }
}
