<?php

namespace AsalaeCore\Test\TestCase\Http;

use AsalaeCore\Http\AppServerRequest;
use AsalaeCore\TestSuite\TestCase;
use Laminas\Diactoros\Stream;

class AppServerRequestTest extends TestCase
{
    public function testParseMultipartFormData(): void
    {
        $file = fopen('php://temp', 'r+');
        fwrite(
            $file,
            "------test\nContent-Disposition: form-data; name=\"key\"\n\r\n\rvalue\n\r"
        );
        $body = new Stream($file);
        $formData = AppServerRequest::getInstance()
            ->withEnv('CONTENT_TYPE', 'multipart/form-data; boundary=test')
            ->withBody($body)
            ->parseMultipartFormData();
        $this->assertStringContainsString('value', implode("\n", $formData));
    }
}
