<?php

namespace AsalaeCore\Test\TestCase\ORM;

use AsalaeCore\DataType\JsonString;
use AsalaeCore\ORM\Marshaller;
use AsalaeCore\TestSuite\TestCase;
use Cake\ORM\Entity;
use ReflectionException;

class MarshallerTest extends TestCase
{
    /**
     * @return void
     */
    public function testone(): void
    {
        $Versions = $this->fetchTable('Versions');
        $Marshaller = new Marshaller($Versions);
        $entity = $Marshaller->one(['subject' => 'mysubject', 'version' => 'myversion']);
        $this->assertInstanceOf(Entity::class, $entity);
        // NOTE: semble impossible de passer la condition ->isNew(), code probablement inutile
    }

    /**
     * @return void
     */
    public function test_prepareDataAndOptions(): void
    {
        $Versions = $this->fetchTable('Versions');
        $Marshaller = new Marshaller($Versions);

        $entity1 = $Marshaller->one(['app_meta' => '{"my": "json_field"}']);
        $entity2 = $Marshaller->one(['app_meta' => new JsonString(['my' => "json_field"])]);
        $this->assertEquals($entity2->get('app_meta'), $entity1->get('app_meta'));
    }

    /**
     * @return void
     * @throws ReflectionException
     */
    public function testmerge(): void
    {
        $Versions = $this->fetchTable('Versions');
        $Marshaller = new Marshaller($Versions);

        $entity1 = $Marshaller->one(['subject' => 'foo', 'app_meta' => '{"my": "json_field"}']);
        $Marshaller->merge($entity1, ['subject' => 'bar', 'app_meta' => new JsonString(['my' => "json_field"])]);
        $this->assertEquals('bar', $entity1->get('subject'));
    }
}
