<?php

namespace AsalaeCore\Test\TestCase\Policy;

use AsalaeCore\Policy\AclPolicy;
use AsalaeCore\TestSuite\TestCase;
use Authorization\Identity;
use Cake\Http\ServerRequest;
use Cake\Routing\Router;
use PHPUnit\Framework\MockObject\Exception;

class AclPolicyTest extends TestCase
{
    public array $fixtures = [
        'app.Acos',
        'app.AuthUrls',
    ];

    /**
     * @return void
     * @throws Exception
     */
    public function testcanAccess(): void
    {
        $AclPolicy = new AclPolicy();
        $collection = $this->createMock('\Cake\Routing\RouteCollection');
        $collection->method('parseRequest')->willReturn(
            [
                'pass' => [],
                'controller' => 'Admins',
                'action' => 'index',
                'plugin' => null,
                '_matchedRoute' => '/',
                '_route' => $collection,
            ]
        );
        Router::setRouteCollection($collection);
        $request = new ServerRequest(
            [
                'params' => [
                    'controller' => 'Admins',
                    'action' => 'testunit',
                ]
            ]
        );
        $identity = $this->createMock(Identity::class);
        $identity->method('getOriginalData')->willReturn(['admin' => true]);
        $this->assertTrue($AclPolicy->canAccess($identity, $request));
    }
}
