<?php

namespace AsalaeCore\Test\TestCase\Utility;

use AsalaeCore\TestSuite\TestCase;
use AsalaeCore\Utility\CascadeDelete;
use Cake\Database\StatementInterface;
use Cake\ORM\TableRegistry;

class CascadeDeleteTest extends TestCase
{
    public array $fixtures = [
        'app.OrgEntities',
        'app.Users',
    ];

    /**
     * test dryrun
     */
    public function testdryrun(): void
    {
        $results = CascadeDelete::dryrun(TableRegistry::getTableLocator()->get('OrgEntities'));
        $this->assertGreaterThan(1, $results);
    }

    /**
     * test all
     */
    public function testall(): void
    {
        $OrgEntities = TableRegistry::getTableLocator()->get('OrgEntities');
        $results = CascadeDelete::all($OrgEntities);
        $this->assertGreaterThan(1, $results);
        $this->assertCount(0, $OrgEntities->find());
    }

    /**
     * test disableConstraints
     */
    public function testdisableConstraints(): void
    {
        $this->assertInstanceOf(StatementInterface::class, CascadeDelete::disableConstraints());
    }

    /**
     * test enableConstraintsenableConstraints
     */
    public function testenableConstraintsenableConstraints(): void
    {
        $this->assertInstanceOf(StatementInterface::class, CascadeDelete::enableConstraints());
    }

    /**
     * test truncate
     */
    public function testtruncate(): void
    {
        $OrgEntities = TableRegistry::getTableLocator()->get('OrgEntities');
        $this->assertInstanceOf(StatementInterface::class, CascadeDelete::truncate($OrgEntities));
        $this->assertCount(0, $OrgEntities->find());
    }
}
