<?php

namespace AsalaeCore\Test\TestCase\Validation;

use AsalaeCore\TestSuite\TestCase;
use AsalaeCore\Validation\RulesProvider;
use Cake\I18n\I18n;

class RulesProviderTest extends TestCase
{
    /**
     * test Date
     */
    public function testDate(): void
    {
        I18n::setLocale('fr_FR');
        $provider = new RulesProvider();
        $this->assertTrue($provider->date('01-01-1900'));
        $this->assertTrue($provider->date('1900-01-01'));
        $this->assertFalse($provider->date('foo'));
    }

    /**
     * test Datetime
     */
    public function testDatetime(): void
    {
        I18n::setLocale('fr_FR');
        $provider = new RulesProvider();
        $this->assertTrue($provider->datetime('01-01-1900'));
        $this->assertTrue($provider->datetime('1900-01-01'));
        $this->assertFalse($provider->datetime('foo'));
    }

    /**
     * test Boolean
     */
    public function testBoolean(): void
    {
        I18n::setLocale('fr_FR');
        $provider = new RulesProvider();
        $this->assertTrue($provider->boolean('true'));
        $this->assertTrue($provider->boolean('0'));

        $this->assertFalse($provider->boolean('foo'));
        $this->assertFalse($provider->boolean('121'));
    }
}
